Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::DeformedMeshGeometry Class Reference

変形メッシュジオメトリ More...

`#include <DeformedMeshGeometry.h>`

Inheritance diagram for Lamp::DeformedMeshGeometry:

List of all members.

## Public Member Functions
| DeformedMeshGeometry ()
| コンストラクタ
| DeformedMeshGeometry (const DeformedMeshGeometry &copy)
| コピーコンストラクタ
virtual const DeformedMeshGeometry & | operator= (const DeformedMeshGeometry &copy)
| 代入コピー
virtual | ~DeformedMeshGeometry ()
| デストラクタ
virtual bool | intersect (const Sphere &sphere) const
| 球交差
virtual void | intersect (IntersectionResult *result, const Sphere &sphere) const
| 球交差
virtual bool | intersectBounding (const Sphere &sphere) const
| 球バウンディング交差
virtual bool | intersectMesh (const Sphere &sphere) const
| 球メッシュ交差
virtual void | intersectMesh (IntersectionResult *result, const Sphere &sphere) const
| 球メッシュ交差
virtual void | setTriangleCount (int triangleCount)
| トライアングル数の設定
virtual int | getTriangleCount () const
| トライアングル数の取得
virtual void | setTriangle (int index, const Triangle &triangle)
| トライアングルの設定
virtual const Triangle & | getTriangle (int index) const
| トライアングルの取得
virtual void | calculateBounding ()
| バウンディングの算出
virtual void | setBoundingBox (const AxisAlignedBox &boundingBox)
| バウンディングボックスの設定
virtual const AxisAlignedBox & | getBoundingBox () const
| バウンディングボックスの取得
virtual void | setBoundingSphere (const Sphere &boundingSphere)
| バウンディングスフィアの設定
virtual const Sphere & | getBoundingSphere () const
| バウンディングスフィアの取得
## Protected Member Functions
virtual void | copyDeformedMeshGeometryData (const DeformedMeshGeometry &copy)
| 変形メッシュジオメトリデータのコピー

## Detailed Description

変形メッシュジオメトリ

Definition at line 36 of file DeformedMeshGeometry.h.

## Constructor & Destructor Documentation

Lamp::DeformedMeshGeometry::DeformedMeshGeometry | ( | const DeformedMeshGeometry & | copy | ) | `[explicit]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 41 of file DeformedMeshGeometry.cpp. References copyDeformedMeshGeometryData(), and NULL.

## Member Function Documentation

void Lamp::DeformedMeshGeometry::copyDeformedMeshGeometryData | ( | const DeformedMeshGeometry & | copy | ) | `[protected, virtual]`

  | 変形メッシュジオメトリデータのコピー Parameters:
  copy | コピー元
Definition at line 58 of file DeformedMeshGeometry.cpp. References getBoundingBox(), getBoundingSphere(), getTriangle(), getTriangleCount(), setBoundingBox(), setBoundingSphere(), setTriangle(), and setTriangleCount(). Referenced by DeformedMeshGeometry(), and operator=().

virtual const AxisAlignedBox& Lamp::DeformedMeshGeometry::getBoundingBox | ( |  | ) | const`[inline, virtual]`

| バウンディングボックスの取得 Returns: バウンディングボックス Definition at line 162 of file DeformedMeshGeometry.h. Referenced by copyDeformedMeshGeometryData(), Lamp::StaticDeformedMeshCollision::getBoundingBox(), Lamp::CollisionRenderer::setupStaticDeformedMeshCollision(), and Lamp::StaticDeformedMeshCollision::traverseImplement().

virtual const Sphere& Lamp::DeformedMeshGeometry::getBoundingSphere | ( |  | ) | const`[inline, virtual]`

| バウンディングスフィアの取得 Returns: バウンディングスフィア Definition at line 177 of file DeformedMeshGeometry.h. Referenced by copyDeformedMeshGeometryData(), Lamp::StaticDeformedMeshCollision::getBoundingSphere(), Lamp::CollisionRenderer::setupStaticDeformedMeshCollision(), and Lamp::StaticDeformedMeshCollision::traverseImplement().

virtual const Triangle& Lamp::DeformedMeshGeometry::getTriangle | ( | int | index | ) | const`[inline, virtual]`

  | トライアングルの取得 Parameters:
  index | インデックス
Returns: トライアングル Definition at line 136 of file DeformedMeshGeometry.h. References Assert. Referenced by copyDeformedMeshGeometryData(), Lamp::StaticDeformedMeshCollision::getTriangle(), Lamp::StaticDeformedMeshCollision::getWorldMesh(), and Lamp::CollisionRenderer::setupStaticDeformedMeshCollision().

virtual int Lamp::DeformedMeshGeometry::getTriangleCount | ( |  | ) | const`[inline, virtual]`

| トライアングル数の取得 Returns: トライアングル数 Definition at line 118 of file DeformedMeshGeometry.h. Referenced by copyDeformedMeshGeometryData(), Lamp::StaticDeformedMeshCollision::getTriangleCount(), Lamp::StaticDeformedMeshCollision::getWorldMesh(), and Lamp::CollisionRenderer::setupStaticDeformedMeshCollision().

void Lamp::DeformedMeshGeometry::intersect | ( | IntersectionResult * | result,
|  | const Sphere & | sphere
| ) | const`[virtual]`

  | 球交差 Parameters:
  sphere | 交差判定する球
  result | 交差結果
Reimplemented from Lamp::MeshGeometry. Definition at line 85 of file DeformedMeshGeometry.cpp. References intersectBounding(), and intersectMesh().

bool Lamp::DeformedMeshGeometry::intersect | ( | const Sphere & | sphere | ) | const`[virtual]`

  | 球交差 Parameters:
  sphere | 交差判定する球
Returns: 交差していればtrue Reimplemented from Lamp::MeshGeometry. Definition at line 77 of file DeformedMeshGeometry.cpp. References intersectBounding(), and intersectMesh().

bool Lamp::DeformedMeshGeometry::intersectBounding | ( | const Sphere & | sphere | ) | const`[virtual]`

  | 球バウンディング交差 Parameters:
  sphere | 交差判定する球
Returns: バウンディングと交差していればtrue Reimplemented from Lamp::MeshGeometry. Definition at line 94 of file DeformedMeshGeometry.cpp. References Lamp::AxisAlignedBox::intersect(), and Lamp::Sphere::intersect(). Referenced by intersect(), and Lamp::StaticDeformedMeshCollision::intersection().

void Lamp::DeformedMeshGeometry::intersectMesh | ( | IntersectionResult * | result,
|  | const Sphere & | sphere
| ) | const`[virtual]`

  | 球メッシュ交差 Parameters:
  sphere | 交差判定する球
  result | 交差結果
Reimplemented from Lamp::MeshGeometry. Definition at line 111 of file DeformedMeshGeometry.cpp. References Lamp::IntersectionResult::add(), and Lamp::Triangle::intersect().

bool Lamp::DeformedMeshGeometry::intersectMesh | ( | const Sphere & | sphere | ) | const`[virtual]`

  | 球メッシュ交差 Parameters:
  sphere | 交差判定する球
Returns: メッシュと交差していればtrue Reimplemented from Lamp::MeshGeometry. Definition at line 103 of file DeformedMeshGeometry.cpp. References Lamp::Triangle::intersect(). Referenced by intersect(), and Lamp::StaticDeformedMeshCollision::intersection().

const DeformedMeshGeometry & Lamp::DeformedMeshGeometry::operator= | ( | const DeformedMeshGeometry & | copy | ) | `[virtual]`

  | 代入コピー Parameters:
  copy | コピー元
Returns: コピーされた変形メッシュジオメトリ Definition at line 48 of file DeformedMeshGeometry.cpp. References copyDeformedMeshGeometryData().

virtual void Lamp::DeformedMeshGeometry::setBoundingBox | ( | const AxisAlignedBox & | boundingBox | ) | `[inline, virtual]`

  | バウンディングボックスの設定 Parameters:
  boundingBox | バウンディングボックス
Definition at line 154 of file DeformedMeshGeometry.h. Referenced by copyDeformedMeshGeometryData(), Lamp::StaticDeformedMeshCollision::setBoundingBox(), and Lamp::StaticDeformedMeshCollision::traverseImplement().

virtual void Lamp::DeformedMeshGeometry::setBoundingSphere | ( | const Sphere & | boundingSphere | ) | `[inline, virtual]`

  | バウンディングスフィアの設定 Parameters:
  boundingSphere | バウンディングスフィア
Definition at line 169 of file DeformedMeshGeometry.h. Referenced by copyDeformedMeshGeometryData(), Lamp::StaticDeformedMeshCollision::setBoundingSphere(), and Lamp::StaticDeformedMeshCollision::traverseImplement().

virtual void Lamp::DeformedMeshGeometry::setTriangle | ( | int | index,
|  | const Triangle & | triangle
| ) | `[inline, virtual]`

  | トライアングルの設定 Parameters:
  index | インデックス
  triangle | トライアングル
Definition at line 126 of file DeformedMeshGeometry.h. References Assert. Referenced by copyDeformedMeshGeometryData(), Lamp::StaticDeformedMeshCollision::getWorldMesh(), and Lamp::StaticDeformedMeshCollision::setTriangle().

void Lamp::DeformedMeshGeometry::setTriangleCount | ( | int | triangleCount | ) | `[virtual]`

  | トライアングル数の設定 Parameters:
  triangleCount | トライアングル数
Definition at line 124 of file DeformedMeshGeometry.cpp. References Assert, and SafeArrayDelete. Referenced by copyDeformedMeshGeometryData(), and Lamp::StaticDeformedMeshCollision::setTriangleCount().

The documentation for this class was generated from the following files:

- DeformedMeshGeometry.h
- DeformedMeshGeometry.cpp